## grive 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

set( GRIVE_VERSION "0.2.0" )

add_subdirectory( libgrive )
add_subdirectory( grive )
