=== debian/control ===
Source: grive
Section: net
Priority: extra
Maintainer: José Luis Segura Lucas <josel.segura@gmx.es>
Uploaders: Cleto Martín <cleto@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               docbook-xsl,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-system-dev,
               libcppunit-dev,
               libcurl4-gnutls-dev | libcurl-dev,
               libexpat-dev,
               libgcrypt-dev,
               libiberty-dev,
               libjson0-dev,
               xsltproc
Standards-Version: 3.9.3
Homepage: https://github.com/Grive/grive
Vcs-Git: git://github.com/JoseLSegura/Grive-Debian-packaging.git

Package: grive
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Google Drive client for GNU/Linux
 Grive is a Google Drive (an online storage service) client. It
 allows synchronize your Google Drive files with a directory on your
 local storage from the command-line.
 .
 It automatically synchronizes your local copy of your Google Drive,
 adding or removing files from the online storage. It allows add new
 files on your local directory and them will be uploaded to Google
 Drive when it synchronizes.
 .
 Grive is still in process of development. It will include support for
 auto-detecting changes on the local storage to force a
 synchronization and a daemon mode which will work on user space to
 have your local files always synchronized with your online storage.
