=== debian/watch ===
version=3

opts=filenamemangle=s/.*(\d[\d\.]+)/grive_$1\.tar\.gz/ \
  https://github.com/Grive/grive/tags .*/tarball/v?(\d[\d\.]+)
